`timescale 1ns / 1ps

module dividetest;

	// Inputs
	reg clk;
	reg [11:0] dividend;
	reg [11:0] divisor;

	// Outputs
	wire rfd;
	wire [11:0] quotient;
	wire [11:0] fractional;

	// Instantiate the Unit Under Test (UUT)
	divide uut (
		.rfd(rfd), 
		.clk(clk), 
		.dividend(dividend), 
		.quotient(quotient), 
		.divisor(divisor), 
		.fractional(fractional)
	);

	initial begin
		// Initialize Inputs
		clk = 0;
		dividend = 0;
		divisor = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		clk = ~clk;
		dividend = 4;
		divisor = 2;
		#10; 
		clk = ~clk; 
		#10;
		
		clk = ~clk;
		dividend = -102;
		divisor = 17;
		#10;
		clk = ~clk; 
		#10;
		
		clk = ~clk;
		dividend = -81;
		divisor = -9;
		#10;
		clk = ~clk; 
		#10;
		
		clk = ~clk;
		dividend = 2042;
		divisor = -69;
		#10;
		clk = ~clk; 
		#10;
	end
      
endmodule

